/**
 * Copyright (c) 2020, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * WSO2 Inc. licenses this file to you under the Apache License,
 * Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
/**
 * Common Service resource endpoints.
 */
export const CommonServiceResourcesEndpoints = (serverHost) => ({
    authorize: `${serverHost}/oauth2/authorize`,
    jwks: `${serverHost}/oauth2/jwks`,
    logout: `${serverHost}/oidc/logout`,
    me: `${serverHost}/scim2/Me`,
    profileSchemas: `${serverHost}/scim2/Schemas`,
    revoke: `${serverHost}/oauth2/revoke`,
    token: `${serverHost}/oauth2/token`,
    wellKnown: `${serverHost}/oauth2/oidcdiscovery/.well-known/openid-configuration`
});
//# sourceMappingURL=endpoints.js.map