import { FunctionComponent } from 'react';
import { DescriptionProps as PureDescriptionProps } from '@storybook/components';
import { DocsContextProps } from './DocsContext';
import { Component, DescriptionSlot } from './shared';
export declare enum DescriptionType {
    INFO = "info",
    NOTES = "notes",
    DOCGEN = "docgen",
    LEGACY_5_2 = "legacy-5.2",
    AUTO = "auto"
}
interface DescriptionProps {
    slot?: DescriptionSlot;
    of?: '.' | Component;
    type?: DescriptionType;
    markdown?: string;
    children?: string;
}
export declare const getDescriptionProps: ({ of, type, markdown, children }: DescriptionProps, { parameters }: DocsContextProps) => PureDescriptionProps;
declare const DescriptionContainer: FunctionComponent<DescriptionProps>;
export { DescriptionContainer as Description };
